#ifndef __INC_POS_PDOS_HUNK_H
#define __INC_POS_PDOS_HUNK_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>Hunk.h<<   12 Sep 1996    09:06:42 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PDOS_DOSTYPES_H
#include <pDOS/DosTypes.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_HunkStcHeader
{
  ULONG   hkhd_Dummy1;
  ULONG   hkhd_HunkNum;     /* Number of hunks */
  ULONG   hkhd_FirstHunk;
  ULONG   hkhd_LastHunk;
  ULONG   hkhd_NumBlocks[1];
/** NumBlocks fr jeden Hunk **/
};



enum pOS_HunkTypes
{
  HUNKTYP_Unit          =999,
  HUNKTYP_Name          =1000,
  HUNKTYP_Code          =1001,
  HUNKTYP_Data          =1002,
  HUNKTYP_Bss           =1003,
  HUNKTYP_Reloc32       =1004,
  HUNKTYP_Reloc16       =1005,
  HUNKTYP_Reloc8        =1006,
  HUNKTYP_Ext           =1007,
  HUNKTYP_Symbol        =1008,
  HUNKTYP_Debug         =1009,
  HUNKTYP_End           =1010,
  HUNKTYP_Header        =1011,
  HUNKTYP_Overlay       =1013,
  HUNKTYP_Break         =1014,
  HUNKTYP_DRel32        =1015,
  HUNKTYP_DRel16        =1016,
  HUNKTYP_DRel8         =1017,
  HUNKTYP_Lib           =1018,
  HUNKTYP_Index         =1019,
};


#endif
